package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFH02 extends MwfRequest<MWFH02, MWFH02Response> {

    @Parameter(name = "CisloBU")
    MWFH02 cisloBU(String cisloBU);
    @Parameter(name = "CisloKarty")
    MWFH02 cisloKarty(Long cisloKarty);
    @Parameter(name = "Internet")
    MWFH02 internet(String internet);
    @Parameter(name = "KodBanky")
    MWFH02 kodBanky(String kodBanky);
    @Parameter(name = "Kontext")
    MWFH02 kontext(Long kontext);
    @Parameter(name = "LimitBankomat")
    MWFH02 limitBankomat(Double limitBankomat);
    @Parameter(name = "LimitMOTOInternet")
    MWFH02 limitMOTOInternet(Double limitMOTOInternet);
    @Parameter(name = "LimitObchodnik")
    MWFH02 limitObchodnik(Double limitObchodnik);
    @Parameter(name = "MaxPocetTransakciDen")
    MWFH02 maxPocetTransakciDen(Long maxPocetTransakciDen);
    @Parameter(name = "MaxPocetTransakciDenATM")
    MWFH02 maxPocetTransakciDenATM(Long maxPocetTransakciDenATM);
    @Parameter(name = "MaxPocetTransakciDenIMT")
    MWFH02 maxPocetTransakciDenIMT(Long maxPocetTransakciDenIMT);
    @Parameter(name = "UverovyRamecNovy")
    MWFH02 uverovyRamecNovy(Double uverovyRamecNovy);
    @Parameter(name = "VyberMimoEU")
    MWFH02 vyberMimoEU(String vyberMimoEU);
    @Parameter(name = "ZpusobUhrady")
    MWFH02 zpusobUhrady(String zpusobUhrady);
}
